Subject: [clisp-list] how can one possibly use the FFI from the CLISP-win32 binary dist ribution?

From: "Hoehle, Joerg-Cyril" <[email-masked]>
Date: Tue Feb 12 03:51:02 2002

Hi,

I wondering: the CLISP binary distribution for MS-Windos contains the FFI package and functions, but how can one make use of them?

I believe that, in its current state, one must build CLISP from sources to be able to make any use of the FFI (via modules), so what's the point of having it in the binary distribution?

Am I missing something?

What follows are snippets of clisp-list for further reference:
Sam Steingold in "Re: Making Foreign Function Calls on Win32" wrote on 2002-01-18 11:32:

Mats Bergstrøm wrote in "FFI and win32" on 2001-08-24:
MB>I'm trying to use FFI on win32. [...]
MB>But this doesn't work on win32 since modules are Unix specific.
Sam>yes, this is very unfortunate.

>using libltdl (part of gnu libtool) should make it possible to port
>dynamic modules to win32.
>
>I don't use FFI myself, so I cannot really help you here.
>
>I suspect that linking lisp.exe with your *.obj files and using the
>resulting executable to compile and load the FFI forms you write should
>work.
Who actually can confirm or deny this? Is linking a fully-working lisp.exe executable to new object files possible with MS-Windos?

Regards,
	Jörg Höhle.